User
To view all users:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
portfolioIdstringRequired
Responses
200
Successful response
No content
get/api/v2/portfolio/{portfolioId}/user
GET /api/v2/portfolio/{portfolioId}/user HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Successful response
No content
To create a new user:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
portfolioIdstringRequired
Body
firstNamestringRequired
lastNamestringRequired
emailAddressstringRequired
usernamestringRequired
mobileNumberstringRequired
userTypeIdstringRequired
landLineNumberstringOptional
jobTitleIdstringOptional
statusstringOptional
Responses
200
Successful response
No content
post/api/v2/portfolio/{portfolioId}/user
POST /api/v2/portfolio/{portfolioId}/user HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 180
{
"firstName": "text",
"lastName": "text",
"emailAddress": "text",
"username": "text",
"mobileNumber": "text",
"userTypeId": "text",
"landLineNumber": "text",
"jobTitleId": "text",
"status": "text"
}200
Successful response
No content
To view details for a specific user:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
portfolioIdstringRequired
userIdstringRequired
Responses
200
Successful response
No content
get/api/v2/portfolio/{portfolioId}/user/{userId}
GET /api/v2/portfolio/{portfolioId}/user/{userId} HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Successful response
No content
To update a specific user:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
portfolioIdstringRequired
userIdstringRequired
Body
portfolioIdstringOptional
firstNamestringOptional
lastNamestringOptional
emailAddressstringOptional
usernamestringOptional
mobileNumberstringOptional
userTypeIdstringOptional
landLineNumberstringOptional
jobTitleIdstringOptional
statusstringOptional
Responses
200
Successful response
No content
patch/api/v2/portfolio/{portfolioId}/user/{userId}
PATCH /api/v2/portfolio/{portfolioId}/user/{userId} HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 201
{
"portfolioId": "text",
"firstName": "text",
"lastName": "text",
"emailAddress": "text",
"username": "text",
"mobileNumber": "text",
"userTypeId": "text",
"landLineNumber": "text",
"jobTitleId": "text",
"status": "text"
}200
Successful response
No content
Last updated
Was this helpful?